Bug 206301 - Incorrect glyph in Lohit Oriya for ba-phala (u0B4D+u0B2C)
Incorrect glyph in Lohit Oriya for ba-phala (u0B4D+u0B2C)
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Rahul Bhalerao
: i18n
Depends On:
Blocks: 206581
  Show dependency treegraph
Reported: 2006-09-13 11:38 EDT by Rahul Bhalerao
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-27 07:32:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Image of wrong and right glyph for ba-phala (6.26 KB, image/jpeg)
2006-09-13 11:38 EDT, Rahul Bhalerao
no flags Details
Patch for modified glyph of ba-phala. (2.43 KB, patch)
2006-09-18 03:06 EDT, Rahul Bhalerao
no flags Details | Diff
Patch No. 7 (7.02 KB, patch)
2006-09-18 03:23 EDT, Rahul Bhalerao
no flags Details | Diff
Verified Image (2.12 KB, image/png)
2007-04-27 07:31 EDT, A S Alam
no flags Details

  None (edit)
Description Rahul Bhalerao 2006-09-13 11:38:15 EDT
Description of problem:
For combinations of following type:

Consonant + u0B4D + u0B2C

the glyph of the dependent consonant ba-pala's below base form is wrong.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open gedit
2. Enable inscript layout for Oriya
3. Type the following key sequence:
Actual results:
Wrong glyph(Image attached)

Expected results:
Right glyph(Image Attached)

Additional info:
Comment 1 Rahul Bhalerao 2006-09-13 11:38:15 EDT
Created attachment 136165 [details]
Image of wrong and right glyph for ba-phala
Comment 2 Rahul Bhalerao 2006-09-18 03:06:20 EDT
Created attachment 136506 [details]
Patch for modified glyph of ba-phala.
Comment 3 Rahul Bhalerao 2006-09-18 03:11:12 EDT
Above is Patch 2.
Comment 4 Rahul Bhalerao 2006-09-18 03:23:50 EDT
Created attachment 136513 [details]
Patch No. 7

Several GSUB rules changed for the combinations of 
consonant + (ba-phala) kind. Also removed one wrong combination for 
Comment 5 Matthew Miller 2007-04-06 13:39:09 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 6 Rahul Bhalerao 2007-04-16 06:50:45 EDT
Fixed in FC6
Comment 7 A S Alam 2007-04-27 07:31:21 EDT
Created attachment 153604 [details]
Verified Image
Comment 8 A S Alam 2007-04-27 07:32:17 EDT
verified version is:

Note You need to log in before you can comment on or make changes to this bug.